%define bname tokyocabinet
%define Name TokyoCabinet

%define module %Name
%define m_distro %bname-perl
%define m_name %module
%define m_author_id Mikio Hirabayashi
%def_enable test

Name: perl-%module
Version: 1.34
Release: alt1
Summary: %module - Perl module
License: %lgpl2plus
Group: Development/Perl
Url: http://fallabs.com/%bname/perlpkg/
Source: %m_distro-%version.tar
Provides: perl-%bname = %version-%release
Requires: libtokyocabinet >= 1.4.27

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Thu Jul 31 2008
BuildRequires: bzlib-devel perl-Encode perl-devel zlib-devel
BuildRequires: libtokyocabinet-devel >= 1.4.27

%description
%module perl module.


%package doc
Summary: Documentation for Perl binding to the Tokyo Cabinet
Group: Documentation
BuildArch: noarch
Provides: %name-doc-html = %version-%release
Conflicts: %name <= 1.32-alt1

%description doc
Documentation for Perl binding to the Tokyo Cabinet.


%prep
%setup -n %m_distro-%version


%build
%perl_vendor_build


%install
%perl_vendor_install
install -d -m 0755 %buildroot%_docdir/%name-%version/{example,html}
install -m 0644 doc/* %buildroot%_docdir/%name-%version/html/
install -m 0644 example/* %buildroot%_docdir/%name-%version/example/
rm -f %buildroot%perl_vendor_privlib/*/*.pl


%files
%perl_vendor_autolib/*
%perl_vendor_archlib/%module.*


%files doc
%doc %_docdir/%name-%version


%changelog
* Sun Nov 21 2010 Vladimir Lettiev <crux@altlinux.ru> 1.34-alt1
- 1.34
- updated URL
- dropped packager tag

* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 1.33-alt1.1
- rebuilt with perl 5.12

* Wed Nov 11 2009 Led <led@altlinux.ru> 1.33-alt1
- 1.33

* Mon Jul 20 2009 Led <led@altlinux.ru> 1.32-alt2
- docs moved into separate subpackage

* Mon Jul 20 2009 Led <led@altlinux.ru> 1.32-alt1
- 1.32

* Thu Jul 16 2009 Led <led@altlinux.ru> 1.31-alt1
- 1.31

* Sat Jul 11 2009 Led <led@altlinux.ru> 1.30-alt1
- 1.30

* Sat Jun 27 2009 Led <led@altlinux.ru> 1.29-alt1
- 1.29

* Sun May 24 2009 Led <led@altlinux.ru> 1.28-alt1
- 1.28

* Sun Apr 26 2009 Led <led@altlinux.ru> 1.26-alt1
- 1.26

* Tue Apr 07 2009 Led <led@altlinux.ru> 1.25-alt1
- 1.25

* Wed Mar 11 2009 Led <led@altlinux.ru> 1.24-alt1
- 1.24

* Mon Feb 16 2009 Led <led@altlinux.ru> 1.23-alt1
- 1.23

* Sun Feb 15 2009 Led <led@altlinux.ru> 1.22-alt1
- 1.22

* Mon Dec 15 2008 Led <led@altlinux.ru> 1.20-alt1
- 1.20

* Mon Dec 15 2008 Led <led@altlinux.ru> 1.19-alt2
- rebuild with libtokyocabinet.so.6

* Sun Dec 07 2008 Led <led@altlinux.ru> 1.19-alt1
- 1.19

* Thu Oct 30 2008 Led <led@altlinux.ru> 1.18-alt1
- 1.18

* Tue Sep 09 2008 Led <led@altlinux.ru> 1.16-alt1
- 1.16

* Fri Aug 29 2008 Led <led@altlinux.ru> 1.15-alt1
- 1.15

* Thu Aug 07 2008 Led <led@altlinux.ru> 1.14-alt1
- 1.14

* Thu Jul 31 2008 Led <led@altlinux.ru> 1.13-alt1
- initial build
